class OPMLImport
  attr_reader :opml ,:to_hash

  def initialize(opml_file)
    file = File.open(opml_file)
    @opml = Nokogiri::XML(file)
  end

  def to_hash
    opml.xpath('//outline').each_with_object({}) do |ele, result|
      unless ele['xmlUrl'].nil?
        result[ele['title']] = ele['xmlUrl'] unless ele['title'].nil?
        result[ele['text']] = ele['xmlUrl']
      end
    end
  end

end

